org.appng.core.model

## Class ApplicationSubjectImpl

- java.lang.Object
- - org.appng.core.model.ApplicationSubjectImpl

- All Implemented Interfaces:
    Account, ApplicationSubject

      public class ApplicationSubjectImpl
      extends Object
      implements ApplicationSubject

  Default `ApplicationSubject` implementation.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationSubjectImpl(String authName, String realName, String email, String language, String timeZone)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthName()` Returns the username of this `Account`, e.g.
    `String` | `getEmail()` Returns the email for this `Account`, e.g.
    `String` | `getLanguage()` Returns the language tag for this `Account` in the IETF BCP 47 notation: `<lang>-<country>`. Examples: en en-US de de-CH
    `String` | `getRealname()` Returns the real name of this `Account`, e.g.
    `List<Role>` | `getRoles()` Returns a list of all `Role`s for this `ApplicationSubject`.
    `String` | `getTimeZone()` Returns the timezone for this `Account`, e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationSubjectImpl

          public ApplicationSubjectImpl(String authName,
                                        String realName,
                                        String email,
                                        String language,
                                        String timeZone)

  - ### Method Detail

    - #### getAuthName

          public String getAuthName()

      Description copied from interface: `Account`
      Returns the username of this `Account`, e.g. 'admin'.
      Specified by:
        `getAuthName` in interface `Account`
      Returns:
        the username

    - #### getRealname

          public String getRealname()

      Description copied from interface: `Account`
      Returns the real name of this `Account`, e.g. 'appNG Administrator'.
      Specified by:
        `getRealname` in interface `Account`
      Returns:
        the real name

    - #### getLanguage

          public String getLanguage()

      Description copied from interface: `Account`
      Returns the language tag for this `Account` in the IETF BCP 47 notation: `<lang>-<country>`.
      Examples:
      - en
      - en-US
      - de
      - de-CH
      Specified by:
        `getLanguage` in interface `Account`
      Returns:
        the language
      See Also:
        `Locale.forLanguageTag(String)`

    - #### getTimeZone

          public String getTimeZone()

      Description copied from interface: `Account`
      Returns the timezone for this `Account`, e.g. 'Europe/Berlin'.
      Specified by:
        `getTimeZone` in interface `Account`
      Returns:
        the timezone

    - #### getEmail

          public String getEmail()

      Description copied from interface: `Account`
      Returns the email for this `Account`, e.g. 'admin@example.com'.
      Specified by:
        `getEmail` in interface `Account`
      Returns:
        the email

    - #### getRoles

          public List<Role> getRoles()

      Description copied from interface: `ApplicationSubject`
      Returns a list of all `Role`s for this `ApplicationSubject`.
      Specified by:
        `getRoles` in interface `ApplicationSubject`
      Returns:
        a list of all `Role`s for this `ApplicationSubject`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.